std::ios_base::imbue(3)

NAME
std::ios_base::imbue - std::ios_base::imbue

Synopsis
   std::locale imbue( const std::locale& loc );
   Sets the associated locale of the stream to loc. Before returning, each function,
   registered by register_callback() is called with imbue_event as a parameter.

Parameters
   loc - new locale to associate the stream to

Return value
   The locale object associated with the stream before the operation.

Example
    This section is incomplete
    Reason: no example
   Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
   LWG 47 C++98 the return value was misspecified as the corrected
                      return value of getloc()
   LWG 156 C++98 the type of loc was const std::locale corrected to const
                        std::locale&

See also
   getloc returns current locale
          (public member function)

Category:
     * Todo no example